# Draw
TKDraw
Draw

# Draw_ProgressIndicator Class Reference

Implements ProgressIndicator (interface provided by Message)
for DRAW, with possibility to output to TCL window
and/or trace file
.

`#include <Draw_ProgressIndicator.hxx>`

## Public Member Functions

Standard_EXPORT | Draw_ProgressIndicator (const Draw_Interpretor &di, const Standard_Integer updateTime=0)
| Creates a progress indicator and remembers pointer to Draw_Interpretor The updateTime, if given, defines time interval between updates of the indicator (in seconds) .
Standard_EXPORT void | Destroy ()
| Destructor; calls Reset() .
| ~Draw_ProgressIndicator ()
Standard_EXPORT void | SetTextMode (const Standard_Boolean theTextMode)
| Sets text output mode (on/off) .
Standard_EXPORT Standard_Boolean | GetTextMode () const
| Gets text output mode (on/off) .
Standard_EXPORT void | SetGraphMode (const Standard_Boolean theGraphMode)
| Sets graphical output mode (on/off) .
Standard_EXPORT Standard_Boolean | GetGraphMode () const
| Gets graphical output mode (on/off) .
virtual Standard_EXPORT void | Reset ()
| Clears/erases opened TCL windows if any and sets myBreak to False .
virtual Standard_EXPORT Standard_Boolean | Show (const Standard_Boolean force=Standard_True)
| Defines method Show of Progress Indicator .
virtual Standard_EXPORT Standard_Boolean | UserBreak ()
| Redefines method UserBreak of Progress Indicator .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT Standard_Boolean & | DefaultTextMode ()
static Standard_EXPORT Standard_Boolean & | DefaultGraphMode ()
| Get/Set default values for output modes .
static Standard_EXPORT Standard_Integer & | StopIndicator ()
| Internal method for implementation of UserBreak mechanism .

## Private Attributes

Standard_Boolean | myTextMode
Standard_Boolean | myGraphMode
Standard_Address | myDraw
Standard_Boolean | myShown
Standard_Boolean | myBreak
Standard_Integer | myUpdateTime
Standard_Integer | myLastUpdate
Standard_Integer | myStartTime

## Constructor & Destructor Documentation

Standard_EXPORT Draw_ProgressIndicator::Draw_ProgressIndicator | ( | const Draw_Interpretor & | di,
|  | const Standard_Integer | updateTime = `0`
| ) |

Draw_ProgressIndicator::~Draw_ProgressIndicator | ( |  | ) | `[inline]`

## Member Function Documentation

static Standard_EXPORT Standard_Boolean& Draw_ProgressIndicator::DefaultGraphMode | ( |  | ) | `[static]`

static Standard_EXPORT Standard_Boolean& Draw_ProgressIndicator::DefaultTextMode | ( |  | ) | `[static]`

Standard_EXPORT void Draw_ProgressIndicator::Destroy | ( |  | ) |

Standard_EXPORT Standard_Boolean Draw_ProgressIndicator::GetGraphMode | ( |  | ) | const

Standard_EXPORT Standard_Boolean Draw_ProgressIndicator::GetTextMode | ( |  | ) | const

Standard_EXPORT const Draw_ProgressIndicator::Handle | ( | Standard_Type |  | ) | const

virtual Standard_EXPORT void Draw_ProgressIndicator::Reset | ( |  | ) | `[virtual]`

Standard_EXPORT void Draw_ProgressIndicator::SetGraphMode | ( | const Standard_Boolean | theGraphMode | ) |

Standard_EXPORT void Draw_ProgressIndicator::SetTextMode | ( | const Standard_Boolean | theTextMode | ) |

virtual Standard_EXPORT Standard_Boolean Draw_ProgressIndicator::Show | ( | const Standard_Boolean | force = `Standard_True` | ) | `[virtual]`

static Standard_EXPORT Standard_Integer& Draw_ProgressIndicator::StopIndicator | ( |  | ) | `[static]`

virtual Standard_EXPORT Standard_Boolean Draw_ProgressIndicator::UserBreak | ( |  | ) | `[virtual]`

## Field Documentation

Standard_Boolean Draw_ProgressIndicator::myBreak `[private]`

Standard_Address Draw_ProgressIndicator::myDraw `[private]`

Standard_Boolean Draw_ProgressIndicator::myGraphMode `[private]`

Standard_Integer Draw_ProgressIndicator::myLastUpdate `[private]`

Standard_Boolean Draw_ProgressIndicator::myShown `[private]`

Standard_Integer Draw_ProgressIndicator::myStartTime `[private]`

Standard_Boolean Draw_ProgressIndicator::myTextMode `[private]`

Standard_Integer Draw_ProgressIndicator::myUpdateTime `[private]`

The documentation for this class was generated from the following file:

- Draw_ProgressIndicator.hxx